[ubuntu/lucid] php5 5.2.12.dfsg.1-2ubuntu1 (Accepted)

Chuck Short zulcss at ubuntu.com
Fri Jan 29 15:00:17 GMT 2010


php5 (5.2.12.dfsg.1-2ubuntu1) lucid; urgency=low

  * Merge from debian testing.  Remaining changes:
    - debian/control, debian/rules: Disable a few build dependencies and
      accompanying binary packages which we do not want to support in main:
      + firebird2-dev/php5-interbase (we have a seperate php-interbase source)
      + libc-client/php5-imap (we have a seperate php-imap source)
      + libmcrypt-dev/php5-mcrypt (seperate php-mcrypt source)
      + readline support again, now that the libedit issue is fixed.
    - debian/control: Add build dependency: libedit-dev (>= 2.9.cvs.20050518-1)
      CLI readline support.
    - debian/rules:
      + Correctly mangle PHP5_* macros for lpia
    - debian/control:
      + Rename Vcs-Browser & Vcs-Git to XS-Original-Vcs-Browser & XS-Original-Vcs-Git (LP: #323731).
    - debian/control: Move php5-suhoshin to Suggests.
    - debian/rules: Fix broken symlink for pear.
    - main/php_version.h: updated with Ubuntu version info
    - debian/patches/series: Re-enable the 033-we_WANT_libtool.patch patch
    - debian/rules, debian/source_php5.py: Install apport hook.
  * Dropped patches: CVE-2009-3557.patch and CVE-2009-3558.patch, no longer needed.

php5 (5.2.12.dfsg.1-2) unstable; urgency=low

  * Update Build-Depends: to include firefox2.1-dev as preferred
    alternative (Closes: #564691)
  * Reformat Build-Depends: to one-dependency-per-line
  * Reduce number of firebird*-dev to include only version in
    stable/testing/unstable
  * Reduce number of libdb*-dev to include only version in
    stable/testing/unstable
  * Switch to automake (>= 1.11) | automake1.11, depend on autoconf
    (>= 2.63) (Closes: #549148)

php5 (5.2.12.dfsg.1-1) unstable; urgency=low

  [ Thijs Kinkhorst ]
  * Change comment in module .ini snippets from # to ; to avoid deprecation
    warnings with PHP 5.3.0.

  [ Ondřej Surý ]
  * Imported Upstream version 5.2.12.dfsg.1
  * Removed manpage_spelling.patch, merged upstream.
  * Removed libedit_is_editline.patch, merged upstream.
  * Refreshed max_file_uploads.patch, patch can be removed, it's kept to
    raise max_file_uploads to 50.
  * Refreshed and updated suhosin.patch
  * Refreshed 001-libtool_fixes.patch, 004-ldap_fix.patch,
    006-debian_quirks.patch, 013-force_getaddrinfo.patch,
    034-apache2_umask_fix.patch, 053-extension_api.patch,
    056-mime_magic_liberal.patch, 115-autoconf_ftbfs.patch,
    gentoo/009_ob-memory-leaks.patch, mssql-null-exception.patch,
    use_embedded_timezonedb.patch
  * Removed autogenerated main/php_config.h.in from suhosin.patch
    (Ubuntu: #493761)
  * Short open tags are On again in php.ini-dist (Closes: #537099)
  * Don't leave .start if we are purging (Closes: #561739)
  * Add README.Debian file to /usr/share/doc/php-pear/PEAR, so the
    directory is not deleted (Closes: #563437, #542483)

  [ Upstream ]
  * Fix default pear.php.net channel definitions (Closes: #559029)

Date: Tue, 26 Jan 2010 14:09:58 +0000
Changed-By: Chuck Short <zulcss at ubuntu.com>
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss at lists.ubuntu.com>
Signed-By: Chuck Short <chuck.short at canonical.com>
https://launchpad.net/ubuntu/lucid/+source/php5/5.2.12.dfsg.1-2ubuntu1
-------------- next part --------------
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 26 Jan 2010 14:09:58 +0000
Source: php5
Binary: php5 php5-common libapache2-mod-php5 libapache2-mod-php5filter php5-cgi php5-cli php5-dev php5-dbg php-pear php5-curl php5-gd php5-gmp php5-ldap php5-mhash php5-mysql php5-odbc php5-pgsql php5-pspell php5-recode php5-snmp php5-sqlite php5-sybase php5-tidy php5-xmlrpc php5-xsl
Architecture: source
Version: 5.2.12.dfsg.1-2ubuntu1
Distribution: lucid
Urgency: low
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss at lists.ubuntu.com>
Changed-By: Chuck Short <zulcss at ubuntu.com>
Description: 
 libapache2-mod-php5 - server-side, HTML-embedded scripting language (Apache 2 module)
 libapache2-mod-php5filter - server-side, HTML-embedded scripting language (apache 2 filter mo
 php-pear   - PEAR - PHP Extension and Application Repository
 php5       - server-side, HTML-embedded scripting language (metapackage)
 php5-cgi   - server-side, HTML-embedded scripting language (CGI binary)
 php5-cli   - command-line interpreter for the php5 scripting language
 php5-common - Common files for packages built from the php5 source
 php5-curl  - CURL module for php5
 php5-dbg   - Debug symbols for PHP5
 php5-dev   - Files for PHP5 module development
 php5-gd    - GD module for php5
 php5-gmp   - GMP module for php5
 php5-ldap  - LDAP module for php5
 php5-mhash - MHASH module for php5
 php5-mysql - MySQL module for php5
 php5-odbc  - ODBC module for php5
 php5-pgsql - PostgreSQL module for php5
 php5-pspell - pspell module for php5
 php5-recode - recode module for php5
 php5-snmp  - SNMP module for php5
 php5-sqlite - SQLite module for php5
 php5-sybase - Sybase / MS SQL Server module for php5
 php5-tidy  - tidy module for php5
 php5-xmlrpc - XML-RPC module for php5
 php5-xsl   - XSL module for php5
Closes: 537099 542483 549148 559029 561739 563437 564691
Changes: 
 php5 (5.2.12.dfsg.1-2ubuntu1) lucid; urgency=low
 .
   * Merge from debian testing.  Remaining changes:
     - debian/control, debian/rules: Disable a few build dependencies and
       accompanying binary packages which we do not want to support in main:
       + firebird2-dev/php5-interbase (we have a seperate php-interbase source)
       + libc-client/php5-imap (we have a seperate php-imap source)
       + libmcrypt-dev/php5-mcrypt (seperate php-mcrypt source)
       + readline support again, now that the libedit issue is fixed.
     - debian/control: Add build dependency: libedit-dev (>= 2.9.cvs.20050518-1)
       CLI readline support.
     - debian/rules:
       + Correctly mangle PHP5_* macros for lpia
     - debian/control:
       + Rename Vcs-Browser & Vcs-Git to XS-Original-Vcs-Browser & XS-Original-Vcs-Git (LP: #323731).
     - debian/control: Move php5-suhoshin to Suggests.
     - debian/rules: Fix broken symlink for pear.
     - main/php_version.h: updated with Ubuntu version info
     - debian/patches/series: Re-enable the 033-we_WANT_libtool.patch patch
     - debian/rules, debian/source_php5.py: Install apport hook.
   * Dropped patches: CVE-2009-3557.patch and CVE-2009-3558.patch, no longer needed.
 .
 php5 (5.2.12.dfsg.1-2) unstable; urgency=low
 .
   * Update Build-Depends: to include firefox2.1-dev as preferred
     alternative (Closes: #564691)
   * Reformat Build-Depends: to one-dependency-per-line
   * Reduce number of firebird*-dev to include only version in
     stable/testing/unstable
   * Reduce number of libdb*-dev to include only version in
     stable/testing/unstable
   * Switch to automake (>= 1.11) | automake1.11, depend on autoconf
     (>= 2.63) (Closes: #549148)
 .
 php5 (5.2.12.dfsg.1-1) unstable; urgency=low
 .
   [ Thijs Kinkhorst ]
   * Change comment in module .ini snippets from # to ; to avoid deprecation
     warnings with PHP 5.3.0.
 .
   [ Ondřej Surý ]
   * Imported Upstream version 5.2.12.dfsg.1
   * Removed manpage_spelling.patch, merged upstream.
   * Removed libedit_is_editline.patch, merged upstream.
   * Refreshed max_file_uploads.patch, patch can be removed, it's kept to
     raise max_file_uploads to 50.
   * Refreshed and updated suhosin.patch
   * Refreshed 001-libtool_fixes.patch, 004-ldap_fix.patch,
     006-debian_quirks.patch, 013-force_getaddrinfo.patch,
     034-apache2_umask_fix.patch, 053-extension_api.patch,
     056-mime_magic_liberal.patch, 115-autoconf_ftbfs.patch,
     gentoo/009_ob-memory-leaks.patch, mssql-null-exception.patch,
     use_embedded_timezonedb.patch
   * Removed autogenerated main/php_config.h.in from suhosin.patch
     (Ubuntu: #493761)
   * Short open tags are On again in php.ini-dist (Closes: #537099)
   * Don't leave .start if we are purging (Closes: #561739)
   * Add README.Debian file to /usr/share/doc/php-pear/PEAR, so the
     directory is not deleted (Closes: #563437, #542483)
 .
   [ Upstream ]
   * Fix default pear.php.net channel definitions (Closes: #559029)
Checksums-Sha1: 
 c2cda6779d01f9d6b5fce18f4f9b5f0ebfb39502 2659 php5_5.2.12.dfsg.1-2ubuntu1.dsc
 f62df2fcf5ef62b739d542295b53595431967a21 11058482 php5_5.2.12.dfsg.1.orig.tar.gz
 dac68584b2360c742a9c765acfc1ab17c29bba16 149591 php5_5.2.12.dfsg.1-2ubuntu1.diff.gz
Checksums-Sha256: 
 488c7e183c85bb5bfd335cb532499010478e26a24cd6e50c6113f23a124106d8 2659 php5_5.2.12.dfsg.1-2ubuntu1.dsc
 0e26d5add807600855b09f7b1088ae97f3db49d7204875c479dea3455616d803 11058482 php5_5.2.12.dfsg.1.orig.tar.gz
 28852e3f0172baa399be42fb2e46908f18426254e71f376f501a294d702e6ccf 149591 php5_5.2.12.dfsg.1-2ubuntu1.diff.gz
Files: 
 161e72551f97541d4fb1af491de8ac0f 2659 php optional php5_5.2.12.dfsg.1-2ubuntu1.dsc
 b9003bb0b77dea61e17fdb5fbd21e730 11058482 php optional php5_5.2.12.dfsg.1.orig.tar.gz
 4397b7d6a8d1627cbd63ca5eef7565e8 149591 php optional php5_5.2.12.dfsg.1-2ubuntu1.diff.gz
Launchpad-Bugs-Fixed: 323731
Original-Maintainer: Debian PHP Maintainers <pkg-php-maint at lists.alioth.debian.org>

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkti7qsACgkQIHZ33voUATvTwQCfav51UdaLJLX7alfAM/qMDlCJ
rVYAnjD1p/kjh4tEEbF96y19BtFI/aeA
=hERU
-----END PGP SIGNATURE-----


More information about the Lucid-changes mailing list